PETSc version 3.15.5
Fix/Edit manual page

# DMGetApplicationContext

Gets a user context from a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetApplicationContext(DM dm,void *ctx)

Not Collective

### Input Parameter

| dm | - the DM object

### Output Parameter

| ctx | - the user context

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/tutorials/swarm_ex3.c.html
src/ksp/ksp/tutorials/ex28.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex5.c.html
src/snes/tutorials/ex18.c.html
src/snes/tutorials/ex22.c.html
src/snes/tutorials/ex30.c.html
src/snes/tutorials/ex35.c.html
src/snes/tutorials/ex48.c.html
src/ts/utils/dmplexlandau/tutorials/ex2.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages